using System;
using UnityEngine;
using UnityEngine.UI;

namespace Ruvik
{
    public class PHInput
    {
        public const int MODIFIER_CTRL = 0;
        public const int MODIFIER_ALT = 1;
        public const int MODIFIER_SHIFT = 2;
        public static bool GetModifier(int modifier)
        {
            switch (modifier)
            {
                case MODIFIER_CTRL:
                    return Input.GetKey(KeyCode.LeftControl) || Input.GetKey(KeyCode.RightControl);
                case MODIFIER_SHIFT:
                    return Input.GetKey(KeyCode.LeftShift) || Input.GetKey(KeyCode.RightShift);
                case MODIFIER_ALT:
                    return Input.GetKey(KeyCode.LeftAlt) || Input.GetKey(KeyCode.RightAlt);
                default:
                    return false;
            }
        }
    }
}